APRZ February 2016

FatalErrorException in ResetsPasswords.php after composer require facebook php-sdk-v4

I'm working on a project with Laravel 5.1 and tried to implement facebook api. Since I used:

composer require facebook/php-sdk-v4    

I'm having an error in ResetsPasswords.php on every page:

FatalErrorException in ResetsPasswords.php line 21: syntax error, unexpected '}'

ResetsPasswords.php was working fine and is not having any errors at all. Line 18-21:

public function getEmail()
{
    return view('auth.password')
}

I tried to remove the Facebook package. Now it's telling me the following information in cmd:

Warning: This development build of composer is over 60 days old. It is recommended to update it by running "C:\ProgramData\ComposerSetup\bin\composer.phar self-update" to get the latest version.
> php artisan clear-compiled

[Symfony\Component\Debug\Exception\FatalErrorException] syntax error, unexpected '}'

Script php artisan clear-compiled handling the pre-update-cmd event returned with an error

[RuntimeException]
Error Output:

remove [--dev] [--no-progress] [--no-update] [--update-no-dev] [--update-with-dependencies] [--ignore-platform-reqs] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--] [<packages>]...

I guess it have something to due with my composer version. But I'm not very experienced with composer and before I really make a mess of it, I think it's not unwise to ask for some help.

So I really appreciate your help, as I cannot work on the project untill this problem is solved.

Answers


Gouda Elalfy February 2016

you forget ; :

return view('auth.password');

Post Status

Asked in February 2016
Viewed 2,160 times
Voted 8
Answered 1 times

Search




Leave an answer